function WriteVolume( A, filename, metadata )
%WRITEVOLUME Save a volume image to the file specified by filename. The
%fileformat of the resulting file is inferred from the filename suffix. 
%
%   WriteVolume( A, filename)
%   WriteVolume( A, filename, metadata )
%
%In the above example, A is a 3D numeric array and 'metadata' must be a 
%struct containing at least the following numeric fields:
%
%'spacing_x'
%'spacing_y'
%'spacing_z'
%
%If 'metadata' is not supplied, the spacing defaults to (1,1,1)
%
%Supported fileformats are: 
% -.vtk
% -.mhd
% -.mha
% -.nii
end

